GNU bug report logs - #43939
[PATCH 1/3] gnu: Add python-pykeepass.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Vinicius Monego <monego@HIDDEN>; Keywords: patch; Done: Marius Bakke <marius@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 43939-done <at> debbugs.gnu.org:


Received: (at 43939-done) by debbugs.gnu.org; 18 Oct 2020 21:38:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 18 17:38:17 2020
Received: from localhost ([127.0.0.1]:39191 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUGNc-0003YP-Vl
	for submit <at> debbugs.gnu.org; Sun, 18 Oct 2020 17:38:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41846)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marius@HIDDEN>) id 1kUGNc-0003YD-1f
 for 43939-done <at> debbugs.gnu.org; Sun, 18 Oct 2020 17:38:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50435)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <marius@HIDDEN>)
 id 1kUGNV-0000Dp-Mx; Sun, 18 Oct 2020 17:38:09 -0400
Received: from ti0006q161-1594.bb.online.no ([46.9.75.77]:36326 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <marius@HIDDEN>)
 id 1kUGNV-0000ri-4f; Sun, 18 Oct 2020 17:38:09 -0400
From: Marius Bakke <marius@HIDDEN>
To: Vinicius Monego <monego@HIDDEN>, 43939-done <at> debbugs.gnu.org
Subject: Re: [bug#43939] [PATCH 3/3] gnu: Add passwordsafe.
In-Reply-To: <20201012034220.56315-2-monego@HIDDEN>
References: <20201012034220.56315-1-monego@HIDDEN>
 <20201012034220.56315-2-monego@HIDDEN>
Date: Sun, 18 Oct 2020 23:38:07 +0200
Message-ID: <87a6wjkyf4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43939-done
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Vinicius Monego <monego@HIDDEN> writes:

> * gnu/packages/gnome.scm (passwordsafe): New variable.

[...]

> +    (license license:gpl3)))

I changed to GPL3+ since no explicit version is mentioned.

Thanks!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFDBAEBCgAtFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl+Mtb8PHG1hcml1c0Bn
bnUub3JnAAoJEKKgbfKjOlT6kuIH/2HTjkgbRuHc+rc1Eb6UJc/cbkiWu4GirZny
XkN1qx2WEyOODRoHpkDzuuW21GdTfljvWuWf6k+JL1xPJeznrAzXaXElFwQjKwvY
iUm+SknDWpVPRce1vZGy5s1MkNRuW1piDDPl7sVDEzs0K2fwoxmPibEJ6nB4m0xT
UgNBWxm3puQ6hjekSuFyUbXHEr09M1AsKoSEtTi5eT1AbyEQn3uBtYvwi7/uFerk
yqUl+mr6AyKvthsOlLINjZnwvBeAV//6AIa8uVpNFeSu52jnSQYyYVm2TLi+On7e
xocB9W17RWqV5I0U3nhDe4bdtJ/JCmQm8ilfimTAom9651tv9fU=
=ZuP/
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#43939; Package guix-patches. Full text available.

Message received at 43939-done <at> debbugs.gnu.org:


Received: (at 43939-done) by debbugs.gnu.org; 18 Oct 2020 21:35:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 18 17:35:38 2020
Received: from localhost ([127.0.0.1]:39187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUGL4-0003U2-GH
	for submit <at> debbugs.gnu.org; Sun, 18 Oct 2020 17:35:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marius@HIDDEN>) id 1kUGL2-0003Tp-9o
 for 43939-done <at> debbugs.gnu.org; Sun, 18 Oct 2020 17:35:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50416)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <marius@HIDDEN>)
 id 1kUGKx-0008OI-0J; Sun, 18 Oct 2020 17:35:31 -0400
Received: from ti0006q161-1594.bb.online.no ([46.9.75.77]:36122 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <marius@HIDDEN>)
 id 1kUGKv-0007cn-9S; Sun, 18 Oct 2020 17:35:30 -0400
From: Marius Bakke <marius@HIDDEN>
To: Vinicius Monego <monego@HIDDEN>, 43939-done <at> debbugs.gnu.org
Subject: Re: [bug#43939] [PATCH 2/3] gnu: libpwquality: Enable Python binding.
In-Reply-To: <20201012034220.56315-1-monego@HIDDEN>
References: <20201012033849.56024-1-monego@HIDDEN>
 <20201012034220.56315-1-monego@HIDDEN>
Date: Sun, 18 Oct 2020 23:35:27 +0200
Message-ID: <87d01fkyjk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43939-done
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Vinicius Monego <monego@HIDDEN> writes:

> * gnu/packages/password-utils.scm (libpwquality)[arguments]: Enable Python binding.
> [native-inputs]: Add python-minimal-wrapper.

I changed this to 'python-wrapper' and committed.  The python-minimal
variants exists mostly to solve a bootstrap cycle.

Thanks!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFDBAEBCgAtFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl+MtR8PHG1hcml1c0Bn
bnUub3JnAAoJEKKgbfKjOlT6Vw4IANHS2RseXutLZRwV+TjNGXhSDUamWwTajqTH
kGpn+k3RP3DABvOTYvDIw7BSGJWfUwxUs7Gc3e+/Dp9HkOiaF4QV4uEUHUsiHRa7
RGF8npLZoKW6rW1g5gNc/NkAaUaagmDW4I/46jNkuhMdXUzIbxxttggxUGUG6yrr
aiyM36KI8x/YIZptE1NEm6lRFeMc9FcfEJdMgRQ1PNjE9y/NfqbTByaoWawaN/zq
3GNG2ys+aUa00Ih/T2mHLy+akyvORVazEZPZSCUQPc9M7mJdF0CF6vaTmN0qtSRb
S2R6OAi0AHrqBNNxKX6w9h82rlpS6jHt3Y9xjwO8YGwJpYui7/M=
=oMF9
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#43939; Package guix-patches. Full text available.

Message received at 43939-done <at> debbugs.gnu.org:


Received: (at 43939-done) by debbugs.gnu.org; 18 Oct 2020 21:32:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 18 17:32:59 2020
Received: from localhost ([127.0.0.1]:39176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUGIU-0003Ok-Qd
	for submit <at> debbugs.gnu.org; Sun, 18 Oct 2020 17:32:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marius@HIDDEN>) id 1kUGIT-0003OX-Jm
 for 43939-done <at> debbugs.gnu.org; Sun, 18 Oct 2020 17:32:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50356)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <marius@HIDDEN>)
 id 1kUGIM-00083F-Ra; Sun, 18 Oct 2020 17:32:52 -0400
Received: from ti0006q161-1594.bb.online.no ([46.9.75.77]:36092 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <marius@HIDDEN>)
 id 1kUGIM-0007Rh-26; Sun, 18 Oct 2020 17:32:50 -0400
From: Marius Bakke <marius@HIDDEN>
To: Vinicius Monego <monego@HIDDEN>, 43939-done <at> debbugs.gnu.org
Subject: Re: [bug#43939] [PATCH 1/3] gnu: Add python-pykeepass.
In-Reply-To: <20201012033849.56024-1-monego@HIDDEN>
References: <20201012033849.56024-1-monego@HIDDEN>
Date: Sun, 18 Oct 2020 23:32:48 +0200
Message-ID: <87ft6bkynz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43939-done
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Vinicius Monego <monego@HIDDEN> writes:

> * gnu/packages/python-crypto.scm (python-pykeepass): New variable.

[...]

> +    ;; There are no copyright headers in the source code.  The LICENSE file
> +    ;; indicates GPL3.
> +    (license license:gpl3)))

In cases like these (when no explicit version is mentioned), we use
GPL3+.  See section 14 of the GPLv3.

I made this change and committed, thanks!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFDBAEBCgAtFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl+MtIAPHG1hcml1c0Bn
bnUub3JnAAoJEKKgbfKjOlT6u6YIAMh2hL0kdaDLqn7+oNA6bKCRqlDytMdIwDgW
KYOBERgQPiqAIERqdoR5tfcbRR7sp4iuFvoV2tT5N6V+vUFLnPVdNma4CaIgu/+3
dE2YlIYNzv+olHtK1GRwFkNQb4aUISSs59ky6JAr8Eqq4KiWHuJjO9QmPXEvpDam
ij2om6I3h8w9d+ouL7IiWgMEpzsWEy6k/UDPK8fa63BXha8Ki4lOZJ71iSfqA69t
5e5as2HWxefAuo/EcFLyEwDQrHCl86PmLFHYoluS72FaPXW67Bn3SW83BDrtdxwx
WweA+hEh+fmcLT+TeMVqd2d/WeeT7jUrXBhfk9/wbupFfglYn9w=
=otz9
-----END PGP SIGNATURE-----
--=-=-=--




Notification sent to Vinicius Monego <monego@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Marius Bakke <marius@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 43939 <at> debbugs.gnu.org:


Received: (at 43939) by debbugs.gnu.org; 12 Oct 2020 03:42:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 11 23:42:52 2020
Received: from localhost ([127.0.0.1]:41295 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kRojc-0003nM-0s
	for submit <at> debbugs.gnu.org; Sun, 11 Oct 2020 23:42:52 -0400
Received: from mout01.posteo.de ([185.67.36.65]:36092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1kRoja-0003mx-Ez
 for 43939 <at> debbugs.gnu.org; Sun, 11 Oct 2020 23:42:50 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 57ED316005C
 for <43939 <at> debbugs.gnu.org>; Mon, 12 Oct 2020 05:42:44 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1602474164; bh=XjML2cI+T0UpmGWizl6xSM9geUvhKUw6Qzy/8g/+0Nk=;
 h=From:To:Cc:Subject:Date:From;
 b=VfpKM3kxxFi6yX1KEn5yHTlV+cLZgw1A2PWi0mZgL/3bdy6kuTQQQyfDC7o9dpzMY
 1Q7ePF5lb2tRzBKzdPE0miKr5JIAmmh15w93svpgsPTPLY4J3ElRhVTFD/1zY9CHSC
 2dbFcAuhYcix7pERpHaNisZkbettjyWVDv2kTEyWOSMX9E95OFCNc8Ts6vbKRdI0fu
 ps5T1OoorsSHikomzUsUeaiTYlYkkBp63m9387EDZbtORU7FQbD1NJWAIsX+YbTyqJ
 E8m6d0Jcba7Tiwi1+cyZNFRNwrWkXZyb8CDyZYXrWEgYQdqWx9v6Qz88dKGfdfuJVO
 9VQHsb7Yl2fbQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4C8kyq04hjz9rxG;
 Mon, 12 Oct 2020 05:42:42 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 43939 <at> debbugs.gnu.org
Subject: [PATCH 3/3] gnu: Add passwordsafe.
Date: Mon, 12 Oct 2020 00:42:20 -0300
Message-Id: <20201012034220.56315-2-monego@HIDDEN>
X-Mailer: git-send-email 2.20.1
In-Reply-To: <20201012034220.56315-1-monego@HIDDEN>
References: <20201012034220.56315-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43939
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/gnome.scm (passwordsafe): New variable.
---
 gnu/packages/gnome.scm | 54 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index bb4e64347e..e6cdb44a4d 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -10344,6 +10344,60 @@ photo-booth-like software, such as Cheese.")
 apply fancy special effects and lets you share the fun with others.")
     (license license:gpl2+)))
 
+(define-public passwordsafe
+  (package
+    (name "passwordsafe")
+    (version "3.99.2")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://gitlab.gnome.org/World/PasswordSafe")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0pi2l4gwf8paxm858mxrcsk5nr0c0zw5ycax40mghndb6b1qmmhf"))))
+    (build-system meson-build-system)
+    (arguments
+     `(#:glib-or-gtk? #t
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'glib-or-gtk-wrap 'python-and-gi-wrap
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let ((prog (string-append (assoc-ref outputs "out")
+                                        "/bin/gnome-passwordsafe"))
+                   (pylib (string-append (assoc-ref outputs "out")
+                                         "/lib/python"
+                                         ,(version-major+minor
+                                           (package-version python))
+                                         "/site-packages")))
+               (wrap-program prog
+                 `("PYTHONPATH" = (,(getenv "PYTHONPATH") ,pylib))
+                 `("GI_TYPELIB_PATH" = (,(getenv "GI_TYPELIB_PATH"))))
+               #t))))))
+    (native-inputs
+     `(("desktop-file-utils" ,desktop-file-utils)
+       ("gettext" ,gettext-minimal)
+       ("glib:bin" ,glib "bin")
+       ("gobject-introspection" ,gobject-introspection)
+       ("gtk+:bin" ,gtk+ "bin")
+       ("pkg-config" ,pkg-config)))
+    (inputs
+     `(("glib" ,glib)
+       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
+       ("gtk+" ,gtk+)
+       ("libhandy" ,libhandy-0.0)
+       ("libpwquality" ,libpwquality)
+       ("python-pygobject" ,python-pygobject)
+       ("python-pykeepass" ,python-pykeepass)))
+    (home-page "https://gitlab.gnome.org/World/PasswordSafe")
+    (synopsis "Password manager for the GNOME desktop")
+    (description
+     "Password Safe is a password manager which makes use of the KeePass v4
+format.  It integrates perfectly with the GNOME desktop and provides an easy
+and uncluttered interface for the management of password databases.")
+    (license license:gpl3)))
+
 (define-public sound-juicer
   (package
     (name "sound-juicer")
-- 
2.20.1





Information forwarded to guix-patches@HIDDEN:
bug#43939; Package guix-patches. Full text available.

Message received at 43939 <at> debbugs.gnu.org:


Received: (at 43939) by debbugs.gnu.org; 12 Oct 2020 03:42:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 11 23:42:49 2020
Received: from localhost ([127.0.0.1]:41291 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kRojY-0003n7-Or
	for submit <at> debbugs.gnu.org; Sun, 11 Oct 2020 23:42:48 -0400
Received: from mout02.posteo.de ([185.67.36.66]:39659)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1kRojU-0003mo-HP
 for 43939 <at> debbugs.gnu.org; Sun, 11 Oct 2020 23:42:48 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 1C7EA2400FB
 for <43939 <at> debbugs.gnu.org>; Mon, 12 Oct 2020 05:42:37 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1602474158; bh=xYY4kAyiHtz48LovDyxIVrWjuyG3OLLJ8Yxlv3U+ZRs=;
 h=From:To:Cc:Subject:Date:From;
 b=UR2TfRA7rTF9urT/R5ZL2frxlRoz/W/ZDHwGuDw0KqJ443pYPRqMysCCKOguSxYRA
 b7CyW8wg9U7mQeonLNG4wEDJgMq77+WHssO1l3idi6saH7anAgqRz1OFwvfL/LOun7
 ZPjaoMz34yqPWr2/W3Ok79HtWH+iHlKXwWeduDSOtyfgxnCFSfMuKFYLovGozlFDlw
 JPf6twG2rYAASMLMFx7vzmmG1peQ6R3Ef2Z6+NbQPz7fl8/+rXcvBhkBt6Xsjx3YE5
 fzEenz/g9tX8SQ2iRhdfDhh/5UIqQLsExZSYtApSXJKWon//Hm5Ff6JrNnpE+8jAdY
 F+qijkmL/d6KQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4C8kyh25lDz9rxG;
 Mon, 12 Oct 2020 05:42:35 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 43939 <at> debbugs.gnu.org
Subject: [PATCH 2/3] gnu: libpwquality: Enable Python binding.
Date: Mon, 12 Oct 2020 00:42:19 -0300
Message-Id: <20201012034220.56315-1-monego@HIDDEN>
X-Mailer: git-send-email 2.20.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43939
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/password-utils.scm (libpwquality)[arguments]: Enable Python binding.
[native-inputs]: Add python-minimal-wrapper.
---
 gnu/packages/password-utils.scm | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/password-utils.scm b/gnu/packages/password-utils.scm
index 85dbeef28f..e22d147468 100644
--- a/gnu/packages/password-utils.scm
+++ b/gnu/packages/password-utils.scm
@@ -28,6 +28,7 @@
 ;;; Copyright © 2020 Brice Waegeneire <brice@HIDDEN>
 ;;; Copyright © 2020 Jean-Baptiste Note <jean-baptiste.note@HIDDEN>
 ;;; Copyright © 2020 Michael Rohleder <mike@HIDDEN>
+;;; Copyright © 2020 Vinicius Monego <monego@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -381,8 +382,17 @@ them out, at the source.")
                 "13hw532fmzc5xjpy75d74rlfdlxf2a8ibb4hyy9c0s92wsgf0qsj"))))
     (build-system gnu-build-system)
     (arguments
-     ;; XXX: have RUNPATH issue.
-     '(#:configure-flags '("--disable-python-bindings")))
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-before 'configure 'set-LDFLAGS
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (setenv "LDFLAGS"
+                     (string-append
+                      "-Wl,-rpath="
+                      (assoc-ref outputs "out") "/lib"))
+             #t)))))
+    (native-inputs
+     `(("python" ,python-minimal-wrapper)))
     (inputs
      `(("cracklib" ,cracklib)))
     (synopsis "Password quality checker")
-- 
2.20.1





Information forwarded to guix-patches@HIDDEN:
bug#43939; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Oct 2020 03:39:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 11 23:39:57 2020
Received: from localhost ([127.0.0.1]:41284 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kRogn-0003iP-8n
	for submit <at> debbugs.gnu.org; Sun, 11 Oct 2020 23:39:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:60252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1kRogm-0003iI-CY
 for submit <at> debbugs.gnu.org; Sun, 11 Oct 2020 23:39:56 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56488)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monego@HIDDEN>) id 1kRogm-00049D-5S
 for guix-patches@HIDDEN; Sun, 11 Oct 2020 23:39:56 -0400
Received: from mout01.posteo.de ([185.67.36.65]:40567)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monego@HIDDEN>) id 1kRogj-0003Nw-Fh
 for guix-patches@HIDDEN; Sun, 11 Oct 2020 23:39:55 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id BD6D416005C
 for <guix-patches@HIDDEN>; Mon, 12 Oct 2020 05:39:48 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1602473988; bh=Vyfd3q31s2k61CPKhvd70jciViTnqTgJIHP2YdfpwBE=;
 h=From:To:Cc:Subject:Date:From;
 b=nbpCpHvY9YXlANF6OGTKkWhJmQsl7NtVKZhlOnsOYg/4md5d2pZNLip9HKBqC31Uh
 ynFznXzK287kCBG56ckg+lP+i7dA/HVAXbzBOce1BNz2B0+1mfq5D67T+A3WCnbSYp
 bSRkrxUHpsnQScgDu3AtxiWvCTSg0msaty8NrU9Ey6XJdRDdcCZu939N2VrkehxsQT
 ahdTehqliCQZYk+TZvq7pOYL8cyipJpw/Q1WwnqTLKil9gReyXJLguy6rVqlzQkGCj
 8ssnY0kCqNeiTIcJAlD52J/4HfIE9FPUBS8z818MUoVbjWyuwwg+mmqe0mr2lBiiHV
 Z35YGE2RB/07g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4C8kvR0CMqz9rxG;
 Mon, 12 Oct 2020 05:39:46 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 1/3] gnu: Add python-pykeepass.
Date: Mon, 12 Oct 2020 00:38:49 -0300
Message-Id: <20201012033849.56024-1-monego@HIDDEN>
X-Mailer: git-send-email 2.20.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=185.67.36.65; envelope-from=monego@HIDDEN;
 helo=mout01.posteo.de
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/11 23:39:49
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H4=-0.01, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/python-crypto.scm (python-pykeepass): New variable.
---
v3.2.1 was released recently but it introduces a breaking change that will only be fixed in the next version of Password Safe.
See https://gitlab.gnome.org/World/PasswordSafe/-/issues/163.
 gnu/packages/python-crypto.scm | 48 ++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

diff --git a/gnu/packages/python-crypto.scm b/gnu/packages/python-crypto.scm
index f39695a850..b01f5bb173 100644
--- a/gnu/packages/python-crypto.scm
+++ b/gnu/packages/python-crypto.scm
@@ -61,6 +61,7 @@
   #:use-module (gnu packages swig)
   #:use-module (gnu packages time)
   #:use-module (gnu packages tls)
+  #:use-module (gnu packages xml)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (srfi srfi-1))
 
@@ -1060,6 +1061,53 @@ through the Engine interface.")
              (propagated-inputs
               `(("python2-typing" ,python2-typing))))))
 
+(define-public python-pykeepass
+  (package
+    (name "python-pykeepass")
+    (version "3.2.0")
+    (source
+     (origin
+       (method git-fetch)
+       ;; Source tarball on PyPI doesn't include tests.
+       (uri (git-reference
+             (url "https://github.com/libkeepass/pykeepass")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1wxbfpy7467mlnfsvmh685fhfnq4fki9y7yc9cylp30r5n3hisaj"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'make-kdbx-writable
+           ;; Tests have to write to the .kdbx files in the test directory.
+           (lambda _
+             (with-directory-excursion "tests"
+               (for-each make-file-writable (find-files "."))
+               #t)))
+         (add-before 'build 'patch-requirements
+           (lambda _
+             ;; Update requirements from dependency==version
+             ;; to dependency>=version.
+             (substitute* "setup.py"
+               (("==") ">="))
+             #t)))))
+    (propagated-inputs
+     `(("python-argon2-cffi" ,python-argon2-cffi)
+       ("python-construct" ,python-construct)
+       ("python-dateutil" ,python-dateutil)
+       ("python-future" ,python-future)
+       ("python-lxml" ,python-lxml)
+       ("python-pycryptodome" ,python-pycryptodome)))
+    (home-page "https://github.com/libkeepass/pykeepass")
+    (synopsis "Python library to interact with keepass databases")
+    (description
+     "This library allows you to write entries to a KeePass database.  It
+supports KDBX3 and KDBX4.")
+    ;; There are no copyright headers in the source code.  The LICENSE file
+    ;; indicates GPL3.
+    (license license:gpl3)))
+
 (define-public python-pylibscrypt
   (package
     (name "python-pylibscrypt")
-- 
2.20.1





Acknowledgement sent to Vinicius Monego <monego@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#43939; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 18 Oct 2020 21:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.